<?php

namespace Server\storage;

class AttachService {

    static function mkdirs($path, $perm=0777, $rec=false) {
        if (!is_dir($path)) {
            self::mkdirs(dirname($path));
            mkdir($path, $perm, $rec);
        }

        return is_dir($path);
    }

    static function random_name($dir, $ext) {
        do {
            $filename = random(30) . '.' . $ext;
        } while (file_exists($dir . $filename));

        return $filename;
    }

}
